Subject: Re: [PATCH] upload-pack.c: use of parse-options API

From: Matthieu Moy <[email-masked]>
Date: Thu, 19 May 2016 16:36:39 +0200 (CEST)

Jeff King wrote:
> On Thu, May 19, 2016 at 12:10:31PM +0200, Antoine Queru wrote:
> 
> > > I'm not sure whether it is worth hiding the first two options. We
> > > typically hide "internal" options like this for user-facing programs, so
> > > as not to clutter the "-h" output. But upload-pack isn't a user-facing
> > > program. Anybody who is calling it directly with "-h" may be interested
> > > in even its more esoteric options.
> > 
> > In fact, to do this, I looked at builtin/receive-pack.c, where the parser
> > API
> > was already implemented, and these first two options were hidden. There
> > were
> > also no description for any options, so I thought it was not needed. Maybe
> > we
> > could update this file too ?
> 
> Yeah, I don't think it's that bad to hide them, and perhaps consistency
> with receive-pack is better.

IIRC, part of the reason receive-pack has hidden options is that it was a
GSoC microproject, and writing an accurate description is much harder than
what we expect from a microproject.

IOW, I'm all for un-hiding these options, but that shouldn't be a requirement
for a beginner's project.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/